local P = createMenuSheet("dialogue")

function P.onLoad()
    --buttons are arranged in a 2x1 Matrix (list)
    P:setButton(1, 1, {
            ["button"] = winMgr:getWindow("orxonox/QuickGameTestButton"),
            ["callback"]  = P.QuickGameTestButton_clicked
    })

    P:setButton(2, 1, {
            ["button"] = winMgr:getWindow("orxonox/SingleplayerButton"),
            ["callback"]  = P.SingleplayerButton_clicked
    })

end

-- events for options
function P.QuickGameTestButton_clicked(e)
    hideAllMenuSheets()
    orxonox.execute("startGame")
end

function P.SingleplayerButton_clicked(e)
    showMenuSheet("SingleplayerMenu", true)
end



return P

